<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<itemFormativoEsercizio nomeDescrittivo="Grafica su matrice LED" identificatoreArgomento="DisegnoSuMatriceLed" prerequisiti="diode,digitalOutput" tags="Medio,DigitalOutput" fondamentale="false" mdPblproblem="false" mdPblnewlearninggoal="false" tempoRichiesto="0" versione="2">
    <mdprerequisitelist>I/O digitale</mdprerequisitelist>
    <mdcomponentlist>Matrice LED 8x8</mdcomponentlist>
    <mdcomponentlist>8 resistori da 220 ohm per alimentazione a 5V</mdcomponentlist>
    <mdwhy>Dato l'esiguo numero di GPIO si devono trovare metodi adeguati a gestire l'I/O, ad esempio con componenti esterni come il registro a scorrimento.</mdwhy>
    <mdexpectedresult>Disegnare una riga al centro, e farla ruotare sempre rispetto al centro.</mdexpectedresult>
    <mdextras>Fare un "charlieplexing" con la matrice</mdextras>
    <mderraticbehavior></mderraticbehavior>
    <mdcommonerrors>Inversione collegamenti LED</mdcommonerrors>
    <mdlessonlearned>Utilizzo di pin analogici per l'I/O digitale, se si esauriscono questi ultimi, oppure utilizzo del registro a scorrimento (shift register)</mdlessonlearned>
    <mdsolution>Prima soluzione: non disponendo di abbastanza pin digitali, sarà necessario togliere qualche riga/colonna&#13;
Seconda soluzione: un'alternativa è usare i pin analogici come digitali, tuttavia anche questo porterà all'esaurimento di tutti i GPIO e comunque con alcune schede di sviluppo potrebbe non bastare.&#13;
Terza soluzione: Quanto provato fa capire la necessità di un componente esterno per controllare la matrice LED, a tal scopo si usa il registro a scorrimento (shift register)&#13;
&#13;
N.B. Collegare un resistore in serie al pin di ciascuna riga della matrice.</mdsolution>
    <mdpbldetails></mdpbldetails>
</itemFormativoEsercizio>
